%define module_version 0.30
%define module_name XML-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Slurp.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(XML/LibXML/SAX.pm) perl(XML/SAX.pm) perl(XML/SAX/Base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.30
Release: alt1
Summary: Perl extension for writing XML
Group: Development/Perl
License: gpl
URL: https://github.com/mlawren/xml-api

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLAWREN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
XML::API is a class for creating XML documents using
object method calls. This class is meant for generating XML
programatically and not for reading or parsing it.

A document author calls the desired methods (representing elements) to
create an XML tree in memory which can then be rendered or saved as desired.
The advantage of having the in-memory tree is that you can be very flexible
about when different parts of the document are created and the final output
is always nicely rendered.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE example
%perl_vendor_privlib/X*

%changelog
* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- initial import by package builder

